<?php
/**
 * Plugin Name: FASTA Credit for Checkout
 * Plugin URI: https://www.fasta.co.za
 * Description: A real-time instant credit solution for your customers to pay for their online purchases. The credit application process operates inline on your site and can be completed in under 5 minutes. Once approved the settlement is made directly to you by FASTA.
 * Version: 1.0.11
 * Author: RedBlade Software
 * Text Domain: fasta-credit
 * 
 * WC requires at least: 2.6
 * WC tested up to: 3.7
 * 
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 * 
**/

  if ( ! defined( 'ABSPATH' ) ) exit;
  
  add_action( 'plugins_loaded', 'init_fasta_plugin', 0 );

  function init_fasta_plugin() {
    if ( ! class_exists( 'WC_Payment_Gateway' ) ) return;

    include_once( 'includes/class-fasta-credit-utils.php' );
    include_once( 'includes/class-fasta-credit-gateway.php' );
    add_filter( 'woocommerce_payment_gateways', 'add_fasta_class' );
    add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'fasta_action_links' );
  }

  function add_fasta_class( $methods ) {
    $methods[] = 'Fasta_Credit_Gateway';
    return $methods;
  }

  function fasta_action_links( $links ) {
    $plugin_links = array(
      '<a href="' . admin_url( 'admin.php?page=wc-settings&tab=checkout' ) . '">' . __( 'Settings', 'fasta-credit' ) . '</a>',
    );
    return array_merge( $plugin_links, $links );
  }
?>